<!DOCTYPE HTML>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      layout:decorate="~{fragments/layout}">
<head>
    <title>Currency rate</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
</head>
<body>
    <div th:replace="fragments/header :: header"/>
        <div layout:fragment="content" th:remove="tag">
            <div class="container">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th>Last updated time</th>
                                <th>Valid from</th>
                                <th>Short name</th>
                                <th>Country</th>
                                <th>Name</th>
                                <th>Amount</th>
                                <th>Cnb mid</th>
                                <th>Curr buy</th>
                                <th>Curr mid</th>
                                <th>Curr sell</th>
                                <th>Move</th>
                                <th>Val buy</th>
                                <th>Val mid</th>
                                <th>Val sell</th>
                                <th>Version</th>
                            </tr>
                        </thead>
                        <tbody>
                            <div class="currency" th:each="rate: ${currencyRateDtos}">
                                <tr>
                                    <td><p class="task__title" th:utext="${rate.lastUpdatedTime}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.validFrom}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.shortName}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.country}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.name}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.amount}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.cnbMid}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.currBuy}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.currMid}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.currSell}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.move}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.valBuy}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.valMid}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.valSell}"></p></td>
                                    <td><p class="task__title" th:utext="${rate.version}"></p></td>
                                </tr>
                            </div>
                        </tbody>
                    </table>
            </div>
        </div>
    <div th:replace="fragments/footer :: footer"/>
</body>
</html>